Delete Sector
DELETE
/api/v1/sectors/{sectorID}
const url = 'https://api.spartanauth.com/api/v1/sectors/example';const options = {method: 'DELETE'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.spartanauth.com/api/v1/sectors/exampleDeletes the specified sector. This action is irreversible and will delete all users and data associated with the sector. Requires the user to be an admin of the default sector.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” sectorID
required
string
Responses
Section titled “ Responses ”A successful response.
Media type application/json
object
status
string
message
string
Example generated
{ "status": "example", "message": "example"}default
Section titled “default ”An unexpected error response.
Media type application/json
object
code
integer format: int32
message
string
details
Array<object>
object
@type
string
key
additional properties
Example generated
{ "code": 1, "message": "example", "details": [ { "@type": "example" } ]}